Package htsjdk.beta.plugin.interval

# Class HtsQueryInterval

java.lang.Object
htsjdk.beta.plugin.interval.HtsQueryInterval

All Implemented Interfaces:
  `HtsInterval`

public class HtsQueryInterval extends Object implements HtsInterval
An concrete query interval implementation of `HtsInterval` used for random access queries on file formats represented by `HtsDecoder`s that support random access.

## Constructor Summary

Constructors
Constructor
Description
`HtsQueryInterval(QueryInterval queryInterval, SAMSequenceDictionary dictionary)`
Convenience method for creating a query interval from an old-style `QueryInterval`.
`HtsQueryInterval(String queryName, long start, long end)`
Create an HtsQueryInterval from query components

## Method Summary

Modifier and Type
Method
Description
`long`
`getEnd()`
Get the inclusive end coordinate for this interval.
`String`
`getQueryName()`
Get the name part of this interval query.
`long`
`getStart()`
Get the 1-based inclusive start coordinate for this interval.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HtsQueryInterval

public HtsQueryInterval(String queryName, long start, long end)
Create an HtsQueryInterval from query components

Parameters:
  `queryName` - the string query nae
  `start` - the integer start position
  `end` - the end position

### HtsQueryInterval

public HtsQueryInterval(QueryInterval queryInterval, SAMSequenceDictionary dictionary)
Convenience method for creating a query interval from an old-style `QueryInterval`.

Parameters:
  `queryInterval` - the query interval to convert
  `dictionary` - the sequence dictionary to use to do the conversion

## Method Details

### getQueryName

public String getQueryName()
Description copied from interface: `HtsInterval`
Get the name part of this interval query.

Specified by:
  `getQueryName` in interface `HtsInterval`
Returns:
  the name part of this interval query

### getStart

public long getStart()
Description copied from interface: `HtsInterval`
Get the 1-based inclusive start coordinate for this interval.

Specified by:
  `getStart` in interface `HtsInterval`
Returns:
  the 1-based inclusive start coordinate for this interval

### getEnd

public long getEnd()
Description copied from interface: `HtsInterval`
Get the inclusive end coordinate for this interval.

Specified by:
  `getEnd` in interface `HtsInterval`
Returns:
  the inclusive end coordinate for this interval